Gets the inode of the current script

- « getmygid

- getmypid »

- PHP Manual
- PHP Options/Info Functions
- Gets the inode of the current script

# getmyinode

(PHP 4, PHP 5, PHP 7, PHP 8)

getmyinode — Gets the inode of the current script

### Description

getmyinode(): int|false

Gets the inode of the current script.

### Parameters

This function has no parameters.

### Return Values

Returns the current script's inode as an integer, or `false` on error.

### See Also

- getmygid() - Get PHP script owner's GID
- getmyuid() - Gets PHP script owner's UID
- getmypid() - Gets PHP's process ID
- get_current_user() - Gets the name of the owner of the current PHP script
- getlastmod() - Gets time of last page modification